# PSF-LoginServer - master - net.psforever.services.hart.HartTimer.OrbitalShuttleEvent
PSF - LoginServer - master - net.psforever.services.hart.HartTimer.OrbitalShuttleEvent
Keywords: PSF LoginServer master net.psforever.services.hart.HartTimer.OrbitalShuttleEvent

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package hart
  Definition Classes
    services
-  object HartTimer
  Definition Classes
    hart
- Command
- LockDoors
- MessageToHartInZone
- OrbitalShuttleEvent
- PairWith
- SetEventDurations
- ShuttleDocked
- ShuttleFreeFromDock
- ShuttleStateUpdate
- UnlockDoors
- Update

c

net.psforever.services.hart.HartTimer

# OrbitalShuttleEvent

###

#### final case class OrbitalShuttleEvent(u1: HartSequence, u2: Int, t1: Long, t2: Long, t3: Long, pairs: List[((PlanetSideGUID, PlanetSideGUID), Int)]) extends Product with Serializable

Data structure for passing information about the event to client-local space. The fields match the `OrbitalShuttleTimeMsg` packet that is created using this data.

Source
  HartTimer.scala
See also

  `OrbitalShuttleTimeMsg`

Linear Supertypes
Serializable, Product, Equals, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. OrbitalShuttleEvent
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new OrbitalShuttleEvent(u1: HartSequence, u2: Int, t1: Long, t2: Long, t3: Long, pairs: List[((PlanetSideGUID, PlanetSideGUID), Int)])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
8.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
9.  final def isInstanceOf[T0]: Boolean
   Definition Classes
     Any
10.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
12.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
13.  val pairs: List[((PlanetSideGUID, PlanetSideGUID), Int)]
14.  def productElementNames: Iterator[String]
    Definition Classes
      Product
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  val t1: Long
17.  val t2: Long
18.  val t3: Long
19.  val u1: HartSequence
20.  val u2: Int
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped